/******************************************************************

	MUSCLE SmartCard Development ( http://www.linuxnet.com )
	    Title  : debuglog.h
	    Package: pcsc lite
            Author : David Corcoran
            Date   : 7/27/99
	    License: Copyright (C) 1999 David Corcoran
	             <corcoran@linuxnet.com>
            Purpose: This handles debugging. 

********************************************************************/

#ifndef __debuglog_h__
#define __debuglog_h__

#ifdef __cplusplus
extern "C" {
#endif     

#define DEBUGLOG_LOG_ENTRIES    1
#define DEBUGLOG_IGNORE_ENTRIES 2

void DebugLogA( LPCSTR, LPCSTR, LONG );

void DebugLogB( LPCSTR, LONG, LPCSTR, LONG );

void DebugLogC( LPCSTR, LPCSTR, LPCSTR, LONG );

void DebugLogD( LPCSTR, PUCHAR, LONG, LPCSTR, LONG );

void DebugLogSuppress( LONG );

LPSTR pcsc_stringify_error ( LONG );

#ifdef __cplusplus
}
#endif     

#endif /* __debuglog_h__ */
